import React, { useState, useEffect } from "react";
import { useTranslation } from "react-i18next";
import HowItWorkImg from "../../../assets/images/howitword.png";
import "../css/ApproachSection.css";
const HowItWorksSection = () => {
  const { t } = useTranslation("howItWorksSectionHealthCare");
  const [appRoachData, setAppRoachData] = useState([]);
  useEffect(() => {
    setAppRoachData(t("data", { returnObjects: true }));
  }, [t]);
  console.log(t);
  const heading = t("heading");
  const firstSpaceIndex = heading.indexOf(" ");
  const firstWord = heading.substring(0, firstSpaceIndex);
  const remainingText = heading.substring(firstSpaceIndex + 1);

  return (
    <div className="bg-[#22353F] text-white">
      <div
        className="container lg:w-[94%] mx-auto md:min-h-[100vh] animate-on-scroll my-20 relative"
        id="appRoach"
      >
        <h1 className="text-4xl font-bold text-center pb-20 ">
          {firstWord} {remainingText}​
        </h1>
        <div>
          <img className="w-3/4 mx-auto" src={HowItWorkImg} alt="" />
        </div>
      </div>
    </div>
  );
};

export default HowItWorksSection;
